﻿@inject ISnackbar Snackbar
@inject UserAppState UserAppState

@implements IDisposable

<MudDialog>
    <DialogContent>
        <MudText Typo="Typo.h5">
            @if (IsAdminDialog)
            {
                @("Invite Admins")
            }
            else
            {
                @("Invite Users")
            }
        </MudText>
    </DialogContent>
    <DialogActions>
        <MudStack>
            <MudText>@(Common.Spacer(120))</MudText>
            
            <MudSelectExtended MultiSelection="true"
                               Dense="true"
                               ItemCollection="@EligibleUsers" 
                               SearchBox="true" 
                               SearchBoxAutoFocus="true"
                               T="string"
                               Label="Search"
                               AnchorOrigin="Origin.BottomCenter" 
                               Variant="Variant.Filled"
                               SearchBoxClearable="true"
                               @bind-SelectedValues="@SelectedUsers" />
            <MudStack Justify="Justify.FlexEnd" Row="true">
                <MudButton Color="Color.Secondary" Variant="Variant.Filled" Disabled="@IsInviting" OnClick="OnCancel">Cancel</MudButton>
                <MudButton Color="Color.Primary" Variant="Variant.Filled" Disabled="@InviteButtonDisabled" OnClick="OnInviteAdmins">
                    @if (IsInviting)
                    {
                        <MudProgressCircular Class="ms-n1" Size="Size.Small" Indeterminate="true" />
                    }
                    <MudText Class="ms-2">Create</MudText>
                </MudButton>
            </MudStack>
        </MudStack>
    </DialogActions>
</MudDialog>